<?php
declare(strict_types=1);


namespace App\Service\Reservation;

use App\Entity\Reservation;
use Doctrine\ORM\EntityManagerInterface;

final class AddReservation
{
    private EntityManagerInterface $manager;

    public function __construct(EntityManagerInterface $manager)
    {
        $this->manager = $manager;
    }


    public function add(Reservation $reservation): void
    {
        //dodatkow logika biznesowa do wykonania w czasie dodania rezerwacji
        // np czy salka jest dostępna
        // np inicjacja wysłania powiadomień

        //chcemy się połączy z system kolejkowym (rabbit, redis)
        // potrzebujemy więc credentiali, skąd je wziąć?
        $this->manager->persist($reservation);
        $this->manager->flush();
    }
}
